# Interface ContractInstance

#### Hierarchy

- ContractInstance

- Defined in packages/db/typings/schema.d.ts:526

#####
Index

### Properties

address
callBytecode
contract
creation
id
network
type

## Properties

### address

address: any

- Defined in packages/db/typings/schema.d.ts:527

### callBytecode

callBytecode: LinkedBytecode

- Defined in packages/db/typings/schema.d.ts:530

### contract

contract: null | DataModel.Contract

- Defined in packages/db/typings/schema.d.ts:531

### creation

creation: null | ContractInstanceCreation

- Defined in packages/db/typings/schema.d.ts:529

### id

id: string

- Defined in packages/db/typings/schema.d.ts:532

### network

network: DataModel.Network

- Defined in packages/db/typings/schema.d.ts:528

### type

type: string

- Defined in packages/db/typings/schema.d.ts:533

Generated using TypeDoc